Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.command
Class CommandBasedTaskService

    java.lang.Object
      org.jbpm.services.task.impl.command.CommandBasedTaskService

All Implemented Interfaces:
  TaskService

    public class CommandBasedTaskService

extends Object
implements TaskService

Constructor Summary
`CommandBasedTaskService(CommandExecutor executor)`

Method Summary
`void` | `activate(long taskId, String userId)`
`long` | `addTask(Task task, Map<String,Object> params)`
`void` | `claim(long taskId, String userId)`
`void` | `claimNextAvailable(String userId, String language)`
`void` | `complete(long taskId, String userId, Map<String,Object> data)`
`void` | `delegate(long taskId, String userId, String targetUserId)`
`void` | `exit(long taskId, String userId)`
`void` | `fail(long taskId, String userId, Map<String,Object> faultData)`
`void` | `forward(long taskId, String userId, String targetEntityId)`
`Attachment` | `getAttachmentById(long attachId)`
`Content` | `getContentById(long contentId)`
`Task` | `getTaskById(long taskId)`
`Task` | `getTaskByWorkItemId(long workItemId)`
`List<TaskSummary>` | `getTasksAssignedAsBusinessAdministrator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<Status> status, String language)`
`List<Long>` | `getTasksByProcessInstanceId(long processInstanceId)`
`List<TaskSummary>` | `getTasksByStatusByProcessInstanceId(long processInstanceId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksByVariousFields(List<Long> workItemIds, List<Long> taskIds, List<Long> procInstIds, List<String> busAdmins, List<String> potOwners, List<String> taskOwners, List<Status> statuses, List<String> language, boolean union)`
`List<TaskSummary>` | `getTasksByVariousFields(Map<String,List<?>> parameters, boolean union)`
`List<TaskSummary>` | `getTasksOwned(String userId, String language)`
`List<TaskSummary>` | `getTasksOwnedByStatus(String userId, List<Status> status, String language)`
`void` | `nominate(long taskId, String userId, List<OrganizationalEntity> potentialOwners)`
`void` | `release(long taskId, String userId)`
`void` | `resume(long taskId, String userId)`
`void` | `skip(long taskId, String userId)`
`void` | `start(long taskId, String userId)`
`void` | `stop(long taskId, String userId)`
`void` | `suspend(long taskId, String userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandBasedTaskService

    public CommandBasedTaskService(CommandExecutor executor)

Method Detail

### activate

    public void activate(long taskId,
                         String userId)

  Specified by:
    `activate` in interface `TaskService`

### claim

    public void claim(long taskId,
                      String userId)

  Specified by:
    `claim` in interface `TaskService`

### claimNextAvailable

    public void claimNextAvailable(String userId,
                                   String language)

  Specified by:
    `claimNextAvailable` in interface `TaskService`

### complete

    public void complete(long taskId,
                         String userId,
                         Map<String,Object> data)

  Specified by:
    `complete` in interface `TaskService`

### delegate

    public void delegate(long taskId,
                         String userId,
                         String targetUserId)

  Specified by:
    `delegate` in interface `TaskService`

### exit

    public void exit(long taskId,
                     String userId)

  Specified by:
    `exit` in interface `TaskService`

### fail

    public void fail(long taskId,
                     String userId,
                     Map<String,Object> faultData)

  Specified by:
    `fail` in interface `TaskService`

### forward

    public void forward(long taskId,
                        String userId,
                        String targetEntityId)

  Specified by:
    `forward` in interface `TaskService`

### getTaskByWorkItemId

    public Task getTaskByWorkItemId(long workItemId)

  Specified by:
    `getTaskByWorkItemId` in interface `TaskService`

### getTaskById

    public Task getTaskById(long taskId)

  Specified by:
    `getTaskById` in interface `TaskService`

### getTasksAssignedAsBusinessAdministrator

    public List<TaskSummary> getTasksAssignedAsBusinessAdministrator(String userId,
                                                                     String language)

  Specified by:
    `getTasksAssignedAsBusinessAdministrator` in interface `TaskService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              String language)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskService`

### getTasksAssignedAsPotentialOwnerByStatus

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                                      List<Status> status,
                                                                      String language)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatus` in interface `TaskService`

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String userId,
                                           String language)

  Specified by:
    `getTasksOwned` in interface `TaskService`

### getTasksOwnedByStatus

    public List<TaskSummary> getTasksOwnedByStatus(String userId,
                                                   List<Status> status,
                                                   String language)

  Specified by:
    `getTasksOwnedByStatus` in interface `TaskService`

### getTasksByStatusByProcessInstanceId

    public List<TaskSummary> getTasksByStatusByProcessInstanceId(long processInstanceId,
                                                                 List<Status> status,
                                                                 String language)

  Specified by:
    `getTasksByStatusByProcessInstanceId` in interface `TaskService`

### getTasksByProcessInstanceId

    public List<Long> getTasksByProcessInstanceId(long processInstanceId)

  Specified by:
    `getTasksByProcessInstanceId` in interface `TaskService`

### getTasksByVariousFields

    public List<TaskSummary> getTasksByVariousFields(List<Long> workItemIds,
                                                     List<Long> taskIds,
                                                     List<Long> procInstIds,
                                                     List<String> busAdmins,
                                                     List<String> potOwners,
                                                     List<String> taskOwners,
                                                     List<Status> statuses,
                                                     List<String> language,
                                                     boolean union)

  Specified by:
    `getTasksByVariousFields` in interface `TaskService`

### getTasksByVariousFields

    public List<TaskSummary> getTasksByVariousFields(Map<String,List<?>> parameters,
                                                     boolean union)

  Specified by:
    `getTasksByVariousFields` in interface `TaskService`

### addTask

    public long addTask(Task task,
                        Map<String,Object> params)

  Specified by:
    `addTask` in interface `TaskService`

### release

    public void release(long taskId,
                        String userId)

  Specified by:
    `release` in interface `TaskService`

### resume

    public void resume(long taskId,
                       String userId)

  Specified by:
    `resume` in interface `TaskService`

### skip

    public void skip(long taskId,
                     String userId)

  Specified by:
    `skip` in interface `TaskService`

### start

    public void start(long taskId,
                      String userId)

  Specified by:
    `start` in interface `TaskService`

### stop

    public void stop(long taskId,
                     String userId)

  Specified by:
    `stop` in interface `TaskService`

### suspend

    public void suspend(long taskId,
                        String userId)

  Specified by:
    `suspend` in interface `TaskService`

### nominate

    public void nominate(long taskId,
                         String userId,
                         List<OrganizationalEntity> potentialOwners)

  Specified by:
    `nominate` in interface `TaskService`

### getContentById

    public Content getContentById(long contentId)

  Specified by:
    `getContentById` in interface `TaskService`

### getAttachmentById

    public Attachment getAttachmentById(long attachId)

  Specified by:
    `getAttachmentById` in interface `TaskService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.